GET/Drives/{driveId}/crew/{crewId}/shared
Returns the files and folders shared directly with a crew member, optionally navigating into a path of the shared
subtree. A caller can only retrieve their own shared items; the association is the grantedAssociation that gave
access to the path (from this response) and is required when path is provided.
Path Parameters
| Field | Type | Required | Description |
|---|
| driveId | uuid | Required | |
| crewId | uuid | Required | |
Query Parameters
| Field | Type | Required | Description |
|---|
| path | string | Optional | |
| association | uuid | Optional | |
Response
| Field | Type | Description |
|---|
| pathParts | GetDriveUserSharedResponsePathPart[]| null | |
| files | GetDriveUserSharedResponseItem[]| null | |
| folders | GetDriveUserSharedResponseItem[]| null | |
| permissions | string[]| null | |
GetDriveUserSharedResponsePathPart
| Field | Type | Description |
|---|
| name | string| null | |
| path | string| null | |
| grantedAssociation | uuid | |
GetDriveUserSharedResponseItem
| Field | Type | Description |
|---|
| id | uuid | |
| grantedAssociation | uuid | |
| type | string| null | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| fullPath | string| null | |
| permissions | string[]| null | |
| associations | GetDriveUserSharedResponseItemAssociation | |
| versions | string[]| null | |
GetDriveUserSharedResponseItemAssociation
| Field | Type | Description |
|---|
| collaborators | GetDriveUserSharedResponseItemAssociationAssociatedEntity[]| null | |
| areas | GetDriveUserSharedResponseItemAssociationAssociatedEntity[]| null | |
| crewMembers | GetDriveUserSharedResponseItemAssociationAssociatedEntity[]| null | |
GetDriveUserSharedResponseItemAssociationAssociatedEntity
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |